### Method

# AppStream Validator add_release_bytes

since: 0.16.0

#### Declaration [src]

    gboolean
    as_validator_add_release_bytes (
      AsValidator* validator,
      const gchar* release_fname,
      GBytes* release_metadata,
      GError** error
    )

#### Description [src]

Add release metadata explicitly from bytes.

Available since: 0.16.0

#### Parameters

`release_fname`

  Type: `const gchar*`

  File basename of the release metadata file to add.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`release_metadata`

  Type: `GBytes`

  Data of the release metadata file.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

No description available.